## com.vividsolutions.jts.algorithm
Class BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule

    java.lang.Object
      com.vividsolutions.jts.algorithm.BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule

All Implemented Interfaces:
  BoundaryNodeRule

Enclosing class:
  BoundaryNodeRule

public static class BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule
extends java.lang.Object
implements BoundaryNodeRule

A `BoundaryNodeRule` which determines that only endpoints with valency greater than 1 are on the boundary. This corresponds to the boundary of a `MultiLineString` being all the "attached" endpoints, but not the "unattached" ones.

Version:
  1.7
Author:
  Martin Davis

Nested Class Summary

Nested classes inherited from class com.vividsolutions.jts.algorithm.BoundaryNodeRule
`BoundaryNodeRule.EndPointBoundaryNodeRule, BoundaryNodeRule.Mod2BoundaryNodeRule, BoundaryNodeRule.MonoValentEndPointBoundaryNodeRule, BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule`

Field Summary

Fields inherited from interface com.vividsolutions.jts.algorithm.BoundaryNodeRule
`ENDPOINT_BOUNDARY_RULE, MOD2_BOUNDARY_RULE, MONOVALENT_ENDPOINT_BOUNDARY_RULE, MULTIVALENT_ENDPOINT_BOUNDARY_RULE, OGC_SFS_BOUNDARY_RULE`

Constructor Summary
`BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule()`

Method Summary
`boolean` `isInBoundary(int boundaryCount)` Tests whether a point that lies in `boundaryCount` geometry component boundaries is considered to form part of the boundary of the parent geometry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule

    public BoundaryNodeRule.MultiValentEndPointBoundaryNodeRule()

Method Detail

### isInBoundary

    public boolean isInBoundary(int boundaryCount)

  Description copied from interface: `BoundaryNodeRule`
  Tests whether a point that lies in `boundaryCount` geometry component boundaries is considered to form part of the boundary of the parent geometry.

  Specified by:
    `isInBoundary` in interface `BoundaryNodeRule`
  Parameters:
    `boundaryCount` - the number of component boundaries that this point occurs in
  Returns:
    true if points in this number of boundaries lie in the parent boundary